Public Partial Class main
  Inherits System.Web.UI.MasterPage
  Dim objGlobals As New TheGlobals
  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If InStr(Page.Request.Url.ToString().ToLower, "login.aspx") = 0 Then
            If Session("hanukkah") Is Nothing OrElse Session("hanukkah").ToString = "" Then
                Response.Redirect("~/login.aspx")
            End If
        End If

        'Session("ramadan") = 0
  End Sub
End Class